import request from '@/utils/request'

// 分页查询船舶载货清单列表
export function pageListBmcargo(query) {
  return request({
    url: '/jxc/bmcargo/pageList',
    method: 'get',
    params: query
  })
}

// 查询船舶载货清单列表
export function listBmcargo(query) {
  return request({
    url: '/jxc/bmcargo/list',
    method: 'get',
    params: query
  })
}

// 查询船舶载货清单详细
export function getBmcargo(id) {
  return request({
    url: '/jxc/bmcargo/' + id,
    method: 'get'
  })
}

// 获取船舶载货清单详细信息
export function getConfirmOrder(id) {
  return request({
    url: '/jxc/bmcargo/confirmOrder/' + id,
    method: 'get'
  })
}
// 修改船舶载货清单
export function confirmOrder(data) {
  return request({
    url: '/jxc/bmcargo/confirmOrder',
    method: 'put',
    data: data
  })
}


// 新增船舶载货清单
export function addBmcargo(data) {
  return request({
    url: '/jxc/bmcargo',
    method: 'post',
    data: data
  })
}

// 修改船舶载货清单
export function updateBmcargo(data) {
  return request({
    url: '/jxc/bmcargo',
    method: 'put',
    data: data
  })
}

// 删除船舶载货清单
export function delBmcargo(id) {
  return request({
    url: '/jxc/bmcargo/' + id,
    method: 'delete'
  })
}

// 导出船舶载货清单
export function exportBmcargo(query) {
  return request({
    url: '/jxc/bmcargo/' + 'export',
    method: 'post',
    params: query
  })
}
